Subject: Re: Please test bootstrap
To: Jeremy C. Reed <>
From: Berndt Josef Wulf <>
List: tech-pkg
Date: 11/02/2005 00:12:55
Content-Type: text/plain;
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

On Tue, 1 Nov 2005 13:12, Jeremy C. Reed wrote:
> On Tue, 1 Nov 2005, Hubert Feyrer wrote:
> > I read your message as "I just broke the bootstrap procedure, and need
> > help to get it fixed". If that's not what you intended to say, then
> > please ignore my message.
> Sorry it was unclear. I have been successfully using this new bootstrap on
> Linux, NetBSD and DragonFly using source from pkgsrc/devel/bmake/files
> since around September 15 (and I posted to tech-pkg about it).
> I provided a list of fixes from out-dated bmake from bootstrap for real
> bmake to Simon and he updated his tarball as was appropriate. The fixes
> for Interix, Irix, OSF1 and others should be there.

Bootstrap definitely doesn't work for Fedora Core 4 (Redhat developement). =
breaks on several fronts. I finally got it to compile bmake and the *compat=
library, can't remember the exact name right now, after some more hacking.

It now fails building packages due to lack of NLS support. I haven't=20
investigate this further due to lack of time.

Since FC4 is a linux distro, I would be hesitant to claim that bootstrappin=
Linux works... :-)

cheerio Berndt

Content-Type: application/pgp-signature

Version: GnuPG v1.4.2 (NetBSD)